Subject: bug#53071: 28.0.90; Emacs 28 regression: incorrect code generation for complex pcase forms?

From: Philipp Stephani <[email-masked]>
Date: Wed, 12 Jan 2022 20:37:21 +0100

Am Mi., 12. Jan. 2022 um 20:09 Uhr schrieb Mattias Engdegård <[email-masked]>:
>
> 12 jan. 2022 kl. 17.58 skrev Eli Zaretskii <[email-masked]>:
>
> > So I'm about to revert this backport, but I'm prepared to hear
> > arguments why shouldn't I.
>
> I broke protocol by pushing it to the stable branch in this phase without permission. Sorry about that; the change has now been reverted. Will be more careful in the future.

Is there a workaround? Seems like renaming the shadowed variables
would help, but I'm not 100% sure.